Bug 880140 - sssd hangs at startup with broken configurations
Summary: sssd hangs at startup with broken configurations
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd
Version: 6.4
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Jakub Hrozek
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
Depends On:
Blocks: 881827
TreeView+ depends on / blocked
 
Reported: 2012-11-26 10:56 UTC by Kaushik Banerjee
Modified: 2020-05-02 17:07 UTC (History)
5 users (show)

Fixed In Version: sssd-1.9.2-30.el6
Doc Type: Known Issue
Doc Text:
No documentation needed.
Clone Of:
Environment:
Last Closed: 2013-02-21 09:41:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github SSSD sssd issues 2711 None closed sssd hangs at startup with broken configurations 2020-07-17 06:55:46 UTC
Red Hat Product Errata RHSA-2013:0508 normal SHIPPED_LIVE Low: sssd security, bug fix and enhancement update 2013-02-20 21:30:10 UTC

Description Kaushik Banerjee 2012-11-26 10:56:47 UTC
Description of problem:
sssd hangs at startup with broken configurations

Version-Release number of selected component (if applicable):
1.9.2-24

How reproducible:
Always

Steps to Reproduce:
1. In the domain section, set ldap_uri as
ldap_uri = ldap://invalid.example.com, ,ldap://valid.example.com

2. Restart sssd.
  
Actual results:
SSSD hangs at "Starting sssd: "

/var/log/sssd/sssd.log shows
(Mon Nov 26 16:16:33 2012) [sssd] [monitor_quit] (0x0010): [10][No child processes] while waiting for [pam]
(Mon Nov 26 16:16:33 2012) [sssd] [monitor_quit] (0x0010): [10][No child processes] while waiting for [pam]
(Mon Nov 26 16:16:33 2012) [sssd] [monitor_quit] (0x0010): [10][No child processes] while waiting for [pam]


Expected results:
SSSD should not hang at startup. It should fail to start.

Additional info:
SSSD wouldn't hang with version 1.9.2-21. It would simply fail to start:
"Starting sssd:             [FAILED]"

Comment 1 Jakub Hrozek 2012-11-26 11:09:47 UTC
Upstream ticket:
https://fedorahosted.org/sssd/ticket/1669

Comment 5 Kaushik Banerjee 2012-11-29 11:34:39 UTC
Verified in version 1.9.2-30

With broken config in sssd, startup no longer hangs

# service sssd restart
Stopping sssd:                                             [  OK  ]
Starting sssd:                                             [FAILED]
#

Comment 6 errata-xmlrpc 2013-02-21 09:41:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0508.html


Note You need to log in before you can comment on or make changes to this bug.